<?php
/**
 * Downloads section page
 * Part of the "Downloads Manager" Plugin for MyBB
 * (c) 2008 Firestryke31, All Rights Reserved
 */
 
/** 
* Polish Language File developed by mybboard.pl for Downloads Manager 1.1
* Tłumaczenie: Ekipa Polskiego Supportu MyBB(tlumacze at mybboard.pl) 
* Poprawki: Ekipa Polskiego Supportu MyBB (mybboard.pl)
* Wersja 1.0 **/ 

define("IN_MYBB", 1);
define('THIS_SCRIPT', 'downloads.php');

// A list of the templates used by this page
$templatelist  = "downloads,downloads_listbid,downloads_project,downloads_categoies,downloads_categories_listbit,";
$templatelist .= "multipage_prevpage,multipage_nextpage,multipage_page_current,multipage_page,multipage_start,multipage_end,multipage";

// Global functions & whatnot
require_once "./global.php";

// MyCode Formating stuff
require_once MYBB_ROOT."inc/functions_post.php";
require_once MYBB_ROOT."inc/class_parser.php";
$parser = new postParser;

// Load global language phrases
$lang->load("downloads");

// Fetch the current URL
$downloads_url = get_current_location();

// Run any custom hooks (plugins for plugins!
$plugins->run_hooks("downloads_start");

if($mybb->input["cat"] == "")
{
	$currentcat = -1;
}
else
{
	$currentcat = intval($mybb->input["cat"]);
}

// this will hold the actual page. Put here for scope.
$downloads = "";
$categories = "";
$catlist = "";
$index = 0;

// concat with '1' or '2', based on index. Allows for alternating backgrounds
$alt_bg_base = "trow";

$query = $db->simple_select("downloads_catlist", "*", "1=1 ORDER BY 'catid' DESC");

while($cat = $db->fetch_array($query))
{
	$catid = $cat['catid'];		// orange spotted cat?
	
	$catname = $cat['title'];	// Lord Swirlypants McFuzzybritches

	if($currentcat == $catid)
	{
		// currently selected category...
		$bgcolor = $alt_bg_base . "_selected";
	}
	else
	{
		// 'trow1' for odd items, & 'trow2' for even ones
		$bgcolor = $alt_bg_base . ($index%2+1);
	}
	
	// next item index
	$index++;
	
	eval("\$catlist .= \"".$templates->get("downloads_categories_listbit")."\";");
}

$catid = -1;

$catname = $lang->downloads_all;

if($currentcat == $catid)
{
	// currently selected category...
	$bgcolor = $alt_bg_base . "_selected";
}
else
{
	// 'trow1' for odd items, & 'trow2' for even ones
	$bgcolor = $alt_bg_base . ($index%2+1);
}

eval("\$catlist .= \"".$templates->get("downloads_categories_listbit")."\";");

eval("\$categories = \"".$templates->get("downloads_categories")."\";");

// Add our own navigation link
add_breadcrumb($lang->nav_downloads, "downloads.php?cat={$currentcat}");

if($mybb->settings['downloads_isactive']==0)
{	// The page is not active. Display an error and leave.
	$downloads = "<html><head><title>Plugin nieaktywny</title></head><body><h1>Ta strona nie jest dostępna.</h1><p>Aby jej użyć należy aktywować plugin w panelu administratora.</p></body></html>";
}
else if($mybb->input["dlid"] == "")
{	// no download selected, so show the list

	// get the page #
	$page = $mybb->input["page"];
	if($page == "")
	{	// set default page
		$page = 1;
	}
	else
	{	// set actual page
		$page = intval($page);
	}
	
	// get the number of downloads in this category
	if($currentcat != -1)
	{
		$query = $db->simple_select("downloads", "COUNT(dlid) AS projcount", "cat={$currentcat}");
	}
	else
	{
		$query = $db->simple_select("downloads", "COUNT(dlid) AS projcount", "1=1");
	}
	$projcount = $db->fetch_field($query, "projcount");
	
	// set up multiple page stuff
	$multipage = multipage($projcount, $mybb->settings['downloads_itemsperpage'], $page, "downloads.php?");
	
	// multipage() adds '&page=x', but we don't want the '&', so remove it
	$multipage = str_replace("&amp;", "", $multipage);

	// get the right page
	if($currentcat != -1)
	{
		$query = $db->simple_select("downloads", "dlid, title, desc_short, preview, cat", "cat={$currentcat} ORDER BY 'dlid' DESC LIMIT ".$mybb->settings['downloads_itemsperpage']*($page-1).", ".$mybb->settings['downloads_itemsperpage']);
	}
	else
	{
		$query = $db->simple_select("downloads", "dlid, title, desc_short, preview, cat", "1=1 ORDER BY 'dlid' DESC LIMIT ".$mybb->settings['downloads_itemsperpage']*($page-1).", ".$mybb->settings['downloads_itemsperpage']);
	}
	
	$index = 0;
	while($dlitem = $db->fetch_array($query))
	{	// for each item, get the bg, set the variable, and display it
	
		// 'trow1' for odd items, & 'trow2' for even ones
		$alt_bg = $alt_bg_base . ($index%2+1);
		
		// next item index
		$index++;
		
		// get the item's title
		$projectname = $dlitem['title'];
		if($dlitem['preview']=="")
		{	// get the default preview
			$smallpreview = $mybb->settings['downloads_previewdir']."/nopreview.png";
		}
		else
		{	// get the actual preview
			$smallpreview = $mybb->settings['downloads_previewdir']."/".$dlitem['preview'];
		}
		// get the id number
		$dlid = $dlitem['dlid'] . "&cat=" . $dlitem['cat'];
		
		// get the subtitle
		$desc_short = $dlitem['desc_short'];
		
		// add it to the list using the template
		eval("\$downloads_list .= \"".$templates->get("downloads_listbit", 1, 0)."\";");
		
	}

	// get the page, and format it
	eval("\$downloads = \"".$templates->get("downloads")."\";");
}
else	// We're displaying a project
{
	// get the requested download ID
	$dlid = $mybb->input["dlid"];
	
	// find it in the database, and get it
	$query = $db->simple_select("downloads", "title, description, preview, fid, filename", "dlid = $dlid");
	$dlitem = $db->fetch_array($query);
	
	// get the project name now, so we can use it for the next thing
	$projectname = $dlitem['title'];
	
	// add another link to the navigation links
	add_breadcrumb($projectname, $downloads_url);
	
	if($dlitem['preview']=="")
	{	// get the default preview
		$bigpreview = $mybb->settings['downloads_previewdir']."/nopreview.png";
	}
	else
	{	// get the real preview
		$bigpreview = $mybb->settings['downloads_previewdir']."/".$dlitem['preview'];
	}
	
	// Set up MyCode parser options
	$parser_options['allow_html'] = 0;
	$parser_options['allow_mycode'] = 1;
	$parser_options['allow_smilies'] = 1;
	$parser_options['allow_imgcode'] = 1;
	$parser_options['filter_badwords'] = 1;
	
	// parse the description
	$description = $parser->parse_message($dlitem['description'], $parser_options);
	
	// get the discussion forum ID
	$forumlink = "forumdisplay.php?fid=" . $dlitem['fid'];
	
	// get the download file link
	$downloadlink = $mybb->settings['downloads_downloadsdir']."/".$dlitem['filename'];
	
	// format the page
	eval("\$downloads = \"".$templates->get("downloads_project")."\";");
}

// run more custom plugin hooks
$plugins->run_hooks("downloads_end");

// finally, display the page
output_page($downloads);

?>